Skip to main content
GET
/
api
/
departments
List all departments in the organization
curl --request GET \
  --url https://your-instance.example.com/api/departments \
  --header 'Authorization: Bearer <token>'
{
  "departments": [
    {
      "_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "organizationId": "<string>",
      "managerIds": [
        {
          "_id": "<string>",
          "fullName": "<string>",
          "email": "<string>",
          "accessRole": "<string>",
          "departmentId": "<string>",
          "phoneNumber": "<string>",
          "designation": "<string>"
        }
      ],
      "userIds": [
        {
          "_id": "<string>",
          "fullName": "<string>",
          "email": "<string>",
          "accessRole": "<string>",
          "departmentId": "<string>",
          "phoneNumber": "<string>",
          "designation": "<string>"
        }
      ],
      "createdBy": {},
      "updatedBy": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Departments returned

departments
object[]